{
  "settings" : {
    "number_of_shards" : 1
  },
  "mappings" : {
    "document": {
      "properties" : {
        "cluster" : {
          "properties": {
            "id": {"type": "keyword"}
          }
        },
        "title" : { "type" : "text"},
        "title_cleaned" : {
          "type" : "text",
          "index": "no"
        },
        "author" : { "type" : "text"},
        "url" : { "type" : "text", "index": "not_analyzed"},
        "notes" : { "type" : "text"},
        "tags" : { "type" : "text"},
        "group_name" : { "type" : "keyword", "index": "not_analyzed"},
        "group_description" : { "type" : "text", "index":
          "not_analyzed"},
          "group_image" : { "type" : "keyword", "index":
            "not_analyzed"},
            "discipline" : { "type" : "keyword"},
            "extras" : { "type" : "text"},
            "language" : { "type" : "keyword"},
            "created_at" : { "type" : "date",
              "format": "yyyyMMdd"
            }
      }
    }
  }
}
